Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

List of all members
sauce::AllocateFromClause< Dependency, Scope, Ctor, Allocator > Class Template Reference

Binds to a specific constructor and allocator. More...

`#include <sauce/binder.h>`

Inheritance diagram for sauce::AllocateFromClause< Dependency, Scope, Ctor, Allocator >:

## Additional Inherited Members
Public Member Functions inherited from sauce::internal::Clause< Dependency >
Clause< Dependency > & | naming (unsigned int position, std::string const name)
void | setState (ClauseStatePtr state)
Protected Member Functions inherited from sauce::internal::Clause< Dependency >
| Clause (ClauseStatePtr state)
ClauseStatePtr | getState ()
template<typename Next >
Next | pass (Next next)
void | setDynamicName (std::string const name)
template<typename Exception >
void | throwLater (Exception)
void | bindDynamicDependencyName (unsigned int position, std::string const name)

## Detailed Description

### template<typename Dependency, typename Scope, typename Ctor, typename Allocator>
class sauce::AllocateFromClause< Dependency, Scope, Ctor, Allocator >

Binds to a specific constructor and allocator.

The documentation for this class was generated from the following file:

- sauce/binder.h